Subject: Re: bug#20280: 25.0.50; Auto revert mode appears to be non-functional

From: "Christopher Carpenter" <[email-masked]>
Date: Wed, 8 Apr 2015 16:47:44 -0500

> "Christopher Carpenter" <[email-masked]> writes:
>
>> Alright, got this to reproduce with emacs -Q
>>
>> M-x wasn't working for me in emacs -Q on Mac so I had to be a bit
>> inventive.
>>
>> I'm guessing it is a darwin specific issue like you said.
>>
>> Exact steps for me:
>>
>> Start with emacs -Q
>>
>> Put: (global-set-key (kbd "<f2> a") 'auto-revert-mode) in *scratch*
>>
>> Run above lisp command using C-x e
>>
>> C-x f ~/test.txt
>>
>> <f2> a
>>
>> *** It says Auto-Revert mode enabled in current buffer. ARev shows in
>> mode
>> line ***
>>
>> In separate terminal, echo "blargh" > test.txt
>>
>> *** Nothing happens in test.txt buffer. ***
>
> You seem to use gfilenotify. What happens, if you set
> auto-revert-use-notify
> to nil, and start to watch another file?
>
> Best regards, Michael.
>
>

Ah, excellent. That does indeed appear to work. I'm using brew and this is
the first time I've compiled from source instead of using a pre-built
binary. I assume that is what caused the difference, not code changes in
emacs HEAD.

Unless this is actually a gfilenotify <-> emacs problem(rather than a
gfilenotify on mac problem) I'd consider this solved/not a bug. Sorry for
wasting time!

Thanks,
Christopher Carpenter